+++
date = '2025-05-24T13:42:20+02:00'
draft = false
title = 'Home'
+++

# μLauncher


µLauncher is an Android home screen that lets you launch apps using swipe gestures and button presses.
It is *minimal, efficient and free of distraction*.

The source code is available on [GitHub](https://github.com/jrpie/launcher)
and on my [Forgejo](https://git.jrpie.de/jrpie/launcher) instance.



[<img src="images/badges/fdroid.png" alt="Get it on F-Droid" width="200" height="80">](https://f-droid.org/packages/de.jrpie.android.launcher/)
[<img alt="Get it on Accrescent" src="images/badges/accrescent.png" width="200" height="80">](https://accrescent.app/app/de.jrpie.android.launcher.accrescent)
<a href="https://apps.obtainium.imranr.dev/redirect?r=obtainium://app/{%22id%22:%22de.jrpie.android.launcher%22,%22url%22:%22https://github.com/jrpie/Launcher%22,%22author%22:%22jrpie%22,%22name%22:%22%c2%b5Launcher%22,%22additionalSettings%22:%22{\%22apkFilterRegEx\%22:\%22release\%22,\%22invertAPKFilter\%22:false,\%22about\%22:\%22%c2%b5Launcher%20is%20a%20minimal%20home%20screen.\%22}%22}"><img src="images/badges/obtainium.png" alt="Get it on Obtainium" width="200" height="80"></a>
<a href="https://github.com/jrpie/launcher/releases/latest"><img src="images/badges/github.png" alt="Get it on GitHub" width="200" height="80"></a>

You can also [get it on Google Play](https://play.google.com/store/apps/details?id=de.jrpie.android.launcher), but I don't recommend that.

µLauncher is a fork of [finnmglas's app Launcher][original-repo].
An incomplete list of changes can be found [here](docs/changes-fork).

## Idea

µLauncher aims to turn your phone into an efficient tool.
By default, the home screen only displays the date, time and a wallpaper.
The most important apps (as well as some additional [actions](/docs/actions-and-gestures/#available-actions)) can be bound one of 35 gestures, e.g. swipe right to open Signal, swipe down to open the browser or press a volume button to turn on the flashlight. An complete list of
actions and gestures can be found [here](/docs/actions-and-gestures).

Pressing back or swiping up[^1] opens a list of all installed apps,
which can be searched efficiently.
Once only one app matches the search it is launched automatically[^2],
usually typing two or three characters suffices.



&mu;Launcher strives to be minimal software in the sense of [Unix philosophy](https://en.wikipedia.org/wiki/Unix_philosophy).

&mu;Launcher is opinionated software.
It is built around the main concept of actions and gestures and searching for everything else.
Not every feature fits this approach well, e.g.,
&mu;Launcher does not support organizing apps in directories or in a grid layout like other launchers do.
If you dislike this approach, that is no problem,
other [great open source alternatives](/docs/alternatives.md) exist!

[^1]: This can be configured. Opening the app list is just a regular action.
[^2]: This can be configured as well. Typing space before starting to search disables the auto launch temporarily. It can also be [disabled completely](/docs/settings/#launch-search-results).

## Screenshots

<img src="/images/phoneScreenshots/1.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/2.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/3.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/4.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/5.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/7.jpg"
     alt="screenshot"
     width="200" height="400">
     <img src="/images/phoneScreenshots/8.jpg"
     alt="screenshot"
     width="200" height="400">


---
  [hack-font]: https://sourcefoundry.org/hack/
  [original-repo]: https://github.com/finnmglas/Launcher
  [toolate]: https://toolate.othing.xyz/projects/jrpie-launcher/
  [issues]: https://github.com/jrpie/Launcher/issues/
  [fork]: https://github.com/jrpie/Launcher/fork/


<!-- Download links / stores -->

  [store-googleplay]: https://play.google.com/store/apps/details?id=de.jrpie.android.launcher
  [store-googleplay-badgecampain]: https://play.google.com/store/apps/details?id=de.jrpie.android.launcher&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1
  [store-fdroid]: https://f-droid.org/packages/de.jrpie.android.launcher/

<!-- Shields and Badges -->

  [shield-release]: https://img.shields.io/github/v/release/jrpie/Launcher?style=flat
  [latest-release]: https://github.com/jrpie/Launcher/releases/latest
  [shield-contribute]: https://img.shields.io/badge/contributions-welcome-007ec6.svg?style=flat
  [shield-license]: https://img.shields.io/badge/license-MIT-007ec6?style=flat

  [shield-gh-watch]: https://img.shields.io/github/watchers/jrpie/Launcher?label=Watch&style=social
  [shield-gh-star]: https://img.shields.io/github/stars/jrpie/Launcher?label=Star&style=social
  [shield-gh-fork]: https://img.shields.io/github/forks/jrpie/Launcher?label=Fork&style=social
  [matrix]: https://s.jrpie.de/launcher-matrix
  [discord]: https://s.jrpie.de/launcher-discord
  [chat]: https://s.jrpie.de/launcher-chat

